LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XTextCopy Interface Referencepublished

enables a text object to copy attributed text from another text object. More...

`import"XTextCopy.idl";`

Inheritance diagram for XTextCopy:

## Public Member Functions
void | copyText ([in] com::sun::star::text::XTextCopy xSource)
| copies the content from another text object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

enables a text object to copy attributed text from another text object.

## Member Function Documentation

## ◆ copyText()

void copyText | ( | [in] com::sun::star::text::XTextCopy | xSource | ) |

copies the content from another text object.

Parameters

  xSource | specifies the source text object.

The documentation for this interface was generated from the following file:

- com/sun/star/text/XTextCopy.idl